Package org.eclipse.mat.query.results

# Class CompositeResult.Entry

java.lang.Object
org.eclipse.mat.query.results.CompositeResult.Entry

Enclosing class:
  `CompositeResult`

public static class CompositeResult.Entry extends Object
An individual sub-result

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of the sub-result
`IResult`
`getResult()`
Get the sub-result

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getName

public String getName()
Get the name of the sub-result

Returns:
  the name

### getResult

public IResult getResult()
Get the sub-result

Returns:
  the sub-result